Subject: Re: error list analysis of draft-02-05

From: Jim Rees <[email-masked]>
Date: Mon, 12 Aug 2002 14:05:53 -0400

A few comments on error list analysis.

OPEN: NFS4ERR_ISDIR.  I think this is needed for the case where the client
tries to open a directory.

Page 118:
           NFS4ERR_BADTYPE         = 10007,/* type invalide for CREATE*/
I assume the French is a typo here.

I'm also confused by the description of NFS4ERR_INVAL:

   NFS4ERR_INVAL         Invalid argument or unsupported argument for an
                         operation. Two examples are attempting a
                         READLINK on an object other than a symbolic
                         link or attempting to SETATTR a time field on a
                         server that does not support this operation.

Shouldn't "attempting to SETATTR a time field on a server that does not
support this operation" return NFS4ERR_ATTRNOTSUPP?